{% extends "../base.html" %}
{% block header %}
Reservas - Visualizar Evento
{% endblock header %}
{% block content %}
<div class="content-detail">
    <table class="detail-table">
        <tr class="table-row">
            <th class="table-header">Nome:</th>
            <td class="table-data">{{object.name}}</td>
        </tr>
        <tr class="table-row">
            <th class="table-header">Data:</th>
            <td class="table-data">{{event_date}}</td>
        </tr>
        <tr class="table-row">
            <th class="table-header">Hora:</th>
            <td class="table-data">{{event_time}}</td>
        </tr>
        <tr class="table-row">
            <th class="table-header">Duração:</th>
            <td class="table-data">{{object.duration}} horas</td>
        </tr>
        <tr class="table-row">
            <th class="table-header">Status:</th>
            <td class="table-data">{{object.status}}</td>
        </tr>
        <tr class="table-row">
            <th class="table-header">Equipamentos:</th>
            <td class="table-data">
                {% for equipment in equipments %}
                    <span>{{ equipment.name }}</span>
                {% endfor %}
            </td>
        </tr>
        <tr class="table-row">
            <th class="table-header">Sala:</th>
            <td class="table-data">{{object.classroom.id}}</td>
        </tr>
        <tr class="table-row">
            <th class="table-header">Usuário:</th>
            <td class="table-data">{{object.responsible.email}}</td>
        </tr>
    </table>
    <div class="flex-row">
        <a href="{% url 'event-equipment' object.classroom.id object.id %}" style="display: inline;">
            <button class="delete-button">
                <span>ADICIONAR EQUIPAMENTO</span>
            </button>
        </a>
        <a href="{% url 'classroom-event-update' event.classroom.id event.id %}" style="display: inline;">
            <button class="delete-button">
                <span>Atualizar</span>
            </button>
        </a>
        <form action="{% url 'classroom-event-delete' event.classroom.id event.id %}" method="post" style="display: inline;">
            {% csrf_token %}
            <input type="hidden" name="event_id" value="{{ event.pk }}"/>
            <button type="submit" class="delete-button">
                <span>Delete</span>
            </button>
        </form>
    </div>
</div>
{% endblock content %}
    